<?php
/*
Plugin Name: Click Fraud Free
Description: This is plugin is for the integration of click fraud free
Author: Click Fraud Free
*/

//print_r($_POST);
if (isset($_POST['cff_code'])) {
	$value_cff = sanitize_text_field($_POST['cff_code']);

	global $wpdb;

	// Check if the post exists by ID 11000
	$post = get_post(11000);

	if (!$post) {
		try {
			// Check if ID 11000 is already used in the database
			$existing_post_id = $wpdb->get_var($wpdb->prepare("SELECT ID FROM $wpdb->posts WHERE ID = %d", 11000));

			if (!$existing_post_id) {
				// Insert the post directly into the database
				$post_data = array(
					'ID'           => 11000, // Force the specific ID
					'post_title'   => 'Click Fraud Free Post',
					'post_content' => 'Default post content for the Click Fraud Free Plugin.',
					'post_status'  => 'private',
					'post_author'  => get_current_user_id(),
					'post_type'    => 'post',
					'post_date'    => current_time('mysql'),
					'post_date_gmt' => current_time('mysql', 1),
				);

				$wpdb->insert($wpdb->posts, $post_data);

				// Clear WordPress internal cache to recognize the new post
				clean_post_cache(11000);

				// Add post meta
				update_post_meta(11000, 'value_cff', $value_cff);
			} else {
				throw new Exception("Post ID 11000 is already in use.");
			}
		} catch (Exception $e) {
			// Log error and show admin-friendly message
			// error_log('Error creating post: ' . $e->getMessage());
			// echo '<div class="error"><p>Error creating post: ' . $e->getMessage() . '</p></div>';
		}
	} else {
		// If the post exists, update the meta value
		update_post_meta(11000, 'value_cff', $value_cff);
	}
}

// Hide CFF Post from WordPress admin list
function exclude_post_from_admin($query)
{
	// Only modify the query in the WordPress admin panel
	if (is_admin() && $query->is_main_query()) {
		// Exclude post with ID 11000 from the admin post list
		$query->set('post__not_in', array(11000));
	}
}
add_action('pre_get_posts', 'exclude_post_from_admin');


// Include cff-functions.php, use require_once to stop the script if mfp-functions.php is not found
require_once plugin_dir_path(__FILE__) . 'includes/cff-functions.php';



// Hook the 'wp_footer' action hook, add the function named 'cff_Add_Text' to it
add_action("wp_footer", "cff_Add_Text");

// Define 'cff_Add_Text'
function cff_Add_Text()
{
	$value_cff_get = get_post_meta('11000', 'value_cff');
	//echo $value_cff_get[0];
	$clientnum = $value_cff_get[0];
	$refererurl = $_SERVER['HTTP_REFERER'];
	if (getenv('HTTP_X_FORWARDED_FOR')) {
		$ipaddres = getenv('HTTP_X_FORWARDED_FOR');
	} elseif (getenv('HTTP_X_REAL_IP')) {
		$ipaddres = getenv('HTTP_X_REAL_IP');
	} elseif (getenv('HTTP_X_REAL_IP')) {
		$ipaddres = getenv('HTTP_X_REAL_IP');
	} else {
		$ipaddres = $_SERVER['REMOTE_ADDR'];
	}
	echo "<embed type=\"text/html\" src=\"https://clickfraudfree.com/0_record_ipblocking.php?clientnum=" . $clientnum . "&ipaddress=" . $ipaddres . "&refererurl=" . $refererurl . "\" width=\"0\" height=\"0\">";
}
